let _modPath;

exports.initialize = modPath => {
    _modPath = modPath;
	
	
	console.log(Database.items);

    Database.items['Chair_white'] = {
        id: 'Chair_white',
        name: 'Chair_white',
        buildingType: Enums.BuildingType.Office,
        imagePath: modPath + 'images/Items/Office/Chair/officechair1.png',
        orientation: IsoDom.ORIENTATION_SW,
        price: 1500,
        size: [1, 1],
        tier: 3,
        images: {
			// ubrnjen iz zgoraj na dol OK
            [IsoDom.ORIENTATION_NW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/white/office-chair1-1.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol iz desne proti levi
            [IsoDom.ORIENTATION_NE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/white/office-chair1-2.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol navzgor pozicija OK
            [IsoDom.ORIENTATION_SE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/white/office-chair1-3.png',
                offset: {
                    top: -200,
                    left: -280,
                },
            },
			// stol iz leve proti desni
            [IsoDom.ORIENTATION_SW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/white/office-chair1-4.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
        },
    };
	
    Database.items['Chair_blue'] = {
        id: 'Chair_blue',
        name: 'Chair_blue',
        buildingType: Enums.BuildingType.Office,
        imagePath: modPath + 'images/Items/Office/Chair/officechairlightblue1.png',
        orientation: IsoDom.ORIENTATION_SW,
        price: 1500,
        size: [1, 1],
        tier: 6,
        images: {
			// ubrnjen iz zgoraj na dol OK
            [IsoDom.ORIENTATION_NW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/blue/office-chair1-1.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol iz desne proti levi
            [IsoDom.ORIENTATION_NE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/blue/office-chair1-2.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol navzgor pozicija OK
            [IsoDom.ORIENTATION_SE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/blue/office-chair1-3.png',
                offset: {
                    top: -200,
                    left: -280,
                },
            },
			// stol iz leve proti desni ok
            [IsoDom.ORIENTATION_SW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/blue/office-chair1-4.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
        },
    };		
	
    Database.items['Chair_red'] = {
        id: 'Chair_red',
        name: 'Chair_red',
        buildingType: Enums.BuildingType.Office,
        imagePath: modPath + 'images/Items/Office/Chair/officechairred1.png',
        orientation: IsoDom.ORIENTATION_SW,
        price: 1500,
        size: [1, 1],
        tier: 9,
        images: {
			// ubrnjen iz zgoraj na dol OK
            [IsoDom.ORIENTATION_NW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/red/office-chair1-1.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol iz desne proti levi
            [IsoDom.ORIENTATION_NE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/red/office-chair1-2.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol navzgor pozicija OK
            [IsoDom.ORIENTATION_SE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/red/office-chair1-3.png',
                offset: {
                    top: -200,
                    left: -280,
                },
            },
			// stol iz leve proti desni ok
            [IsoDom.ORIENTATION_SW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/red/office-chair1-4.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
        },
    };			
	
    Database.items['Chair_yellow'] = {
        id: 'Chair_yellow',
        name: 'Chair_yellow',
        buildingType: Enums.BuildingType.Office,
        imagePath: modPath + 'images/Items/Office/Chair/officechairyellow1.png',
        orientation: IsoDom.ORIENTATION_SW,
        price: 1500,
        size: [1, 1],
        tier: 12,
        images: {
			// ubrnjen iz zgoraj na dol OK
            [IsoDom.ORIENTATION_NW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/yellow/office-chair1-1.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol iz desne proti levi
            [IsoDom.ORIENTATION_NE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/yellow/office-chair1-2.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol navzgor pozicija OK
            [IsoDom.ORIENTATION_SE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/yellow/office-chair1-3.png',
                offset: {
                    top: -200,
                    left: -280,
                },
            },
			// stol iz leve proti desni ok
            [IsoDom.ORIENTATION_SW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/yellow/office-chair1-4.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
        },
    };		


    Database.items['Chair_green'] = {
        id: 'Chair_green',
        name: 'Chair_green',
        buildingType: Enums.BuildingType.Office,
        imagePath: modPath + 'images/Items/Office/Chair/officechairgreen1.png',
        orientation: IsoDom.ORIENTATION_SW,
        price: 1500,
        size: [1, 1],
        tier: 16,
        images: {
			// ubrnjen iz zgoraj na dol OK
            [IsoDom.ORIENTATION_NW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/green/office-chair1-1.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol iz desne proti levi
            [IsoDom.ORIENTATION_NE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/green/office-chair1-2.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
			// stol navzgor pozicija OK
            [IsoDom.ORIENTATION_SE]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/green/office-chair1-3.png',
                offset: {
                    top: -200,
                    left: -280,
                },
            },
			// stol iz leve proti desni ok
            [IsoDom.ORIENTATION_SW]: {
                url: _modPath + 'images/Items/Office/Chair/Chair1/green/office-chair1-4.png',
                offset: {
                    top: -220,
                    left: -260,
                },
            },
        },
    };			
	
};

exports.onLoadGame = settings => {
    Language['Chair_white'] = 'Chair white';


};
